class_name InteriorTile extends Resource

##
## Identifier for the kind of interior tile.
##
enum Kind {
	FLOOR,
	WALL,
}

##
## Flag for determining if the tile is affected by orientations specified in an [InteriorMap].
##
@export
var fixed_orientation := false

##
## See [enum Kind].
##
## Interior tiles of different kinds will not conflict when placing them.
##
@export
var kind := Kind.FLOOR

##
## Used to visualize the interior tile.
##
@export
var mesh: Mesh = null
